Get Branches
Retrieve the list of branches.
This endpoint returns an array of branches with metadata, contacts, delivery zones, coordinates, and audit info.
GET/v1/branches
bash
curl https://api.lynxo.ai/v1/branches \
-H "Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR....." \
-H "Content-Type: application/json" \RESPONSE
{
"branches": [
{
"id": "BLR",
"name": "Bangalore",
"time_zone": "",
"contacts": [
{
"name": "Mohamed",
"phone": "9876543210",
"work_timings": {
"from": "09:00 AM",
"to": "05:00 PM"
},
"work_days": [
"tuesday",
"wednesday",
"thursday",
"friday",
"monday"
]
},
{
"name": "Thaha",
"phone": "9786545321",
"work_timings": {
"from": "09:00 AM",
"to": "05:00 PM"
},
"work_days": [
"monday",
"tuesday",
"wednesday",
"thursday",
"friday",
"sunday",
"saturday"
]
},
{
"name": "Zahee",
"phone": "9638527410",
"work_timings": {
"from": "09:00 AM",
"to": "05:00 PM"
},
"work_days": [
"monday",
"tuesday",
"wednesday",
"thursday",
"friday",
"sunday"
]
}
],
"formatted_address": "Lower Agaram Road, 560047, Viveka Nagar, Bengaluru, Bengaluru Urban, Karnataka, India",
"active": true,
"delivery_zones": {
"type": "FeatureCollection",
"features": [
{
"id": "6d9ZF99qW5zIFBUZh7rTu4UuMB8UAjYC",
"type": "Feature",
"geometry": {
"type": "Polygon",
"coordinates": [
[
[
-118.37501331024575,
34.180990857035
],
[
-118.19173459449476,
34.063929240734225
],
[
-118.25420037402054,
33.95923242559719
],
[
-118.50200418070989,
34.03833596855081
],
[
-118.4244367841559,
34.158273127595464
],
[
-118.37501331024575,
34.180990857035
]
]
]
},
"properties": {}
}
]
},
"coordinates": {
"longitude": 77.621002,
"latitude": 12.953993
},
"created_at": 1754380403,
"updated_at": 1755108999,
"created_by": {
"user_type": "iam",
"user_id": "42",
"user_name": "Best Account"
},
"updated_by": {
"user_type": "iam",
"user_id": "42",
"user_name": "Best Account"
},
"teams": []
}
]
}